Subject: bug#473 closed by Stefan Monnier <[email-masked]> (Re: bug#473: Incorrect IRC server in ERC)

From: [email-masked] (Emacs bug Tracking System)

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#473: Incorrect IRC server in ERC

It has been closed by Stefan Monnier <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Stefan Monnier <[email-masked]> by
replying to this email.

-- 
473: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=473
Emacs Bug Tracking System
Contact [email-masked] with problems
>From [email-masked] Tue Jun 24 11:39:54 2008
From: Stefan Monnier <[email-masked]>
To: [email-masked]
Subject: Re: bug#473: Incorrect IRC server in ERC
Date: Tue, 24 Jun 2008 14:39:50 -0400

>>>> My employer has a private IRC server, at "irc.displaced.faketld" (not
>>>> the actual FQDN, but you get the idea). All my ERC buffers call this
>>>> server "irc.debian.org", which makes it difficult to tell which server
>>>> I'm actually connected to.
>> 
>> Could it be simply that your friend's IRC server is misconfigured and
>> reports itself as "irc.debian.org"?
>> 
> Aha. This is exactly what's happening.

> Thank you, I'll have it addressed.

Great,

        Stefan

>From [email-masked] Tue Jun 24 02:51:17 2008
From: David Reitter <[email-masked]>
To: Bug-Gnu-Emacs <[email-masked]>
Reply-To: Ian Eure <[email-masked]>, Bug-Gnu-Emacs <[email-masked]>
Subject: Incorrect IRC server in ERC
Date: Tue, 24 Jun 2008 10:51:00 +0100

Begin forwarded message:

> From: Ian Eure <[email-masked]>
> Date: 23 June 2008 23:28:55 BST
> To: [email-masked]
> Subject: [Aquamacs-bugs] Incorrect IRC server in ERC
>
> Enter your bug report here.
>
> My employer has a private IRC server, at "irc.displaced.faketld" (not
> the actual FQDN, but you get the idea). All my ERC buffers call this
> server "irc.debian.org", which makes it difficult to tell which server
> I'm actually connected to.
>
> Not sure why this happens; I guess ERC doesn't like the invalid TLD,
> so uses the closest real server it knows about.
>
> In GNU Emacs 22.2.50.2 (i386-apple-darwin9.2.2, Carbon Version 1.6.0)
>  of 2008-06-17 on plume.sr.unh.edu - Aquamacs Distribution 1.4
> Windowing system distributor `Apple Inc.', version 10.5.3
> configured using `configure  '--without-x' '--prefix=/usr/local''
>
> Important settings:
>   value of $LC_ALL: nil
>   value of $LC_COLLATE: nil
>   value of $LC_CTYPE: nil
>   value of $LC_MESSAGES: nil
>   value of $LC_MONETARY: nil
>   value of $LC_NUMERIC: nil
>   value of $LC_TIME: nil
>   value of $LANG: nil
>   locale-coding-system: iso-8859-1
>   default-enable-multibyte-characters: t
>
> Major mode: JavaScript-IDE
>
> Minor modes in effect:
>   erc-track-mode: t
>   erc-track-minor-mode: t
>   erc-spelling-mode: t
>   erc-ring-mode: t
>   erc-pcomplete-mode: t
>   erc-netsplit-mode: t
>   erc-match-mode: t
>   erc-autojoin-mode: t
>   shell-dirtrack-mode: t
>   yas/minor-mode: t
>   erc-button-mode: t
>   erc-fill-mode: t
>   erc-irccontrols-mode: t
>   erc-noncommands-mode: t
>   erc-readonly-mode: t
>   erc-scrolltobottom-mode: t
>   iswitchb-mode: t
>   auto-insert-mode: t
>   savehist-mode: t
>   smart-frame-positioning-mode: t
>   recentf-mode: t
>   encoded-kbd-mode: t
>   osx-key-mode: t
>   tabbar-mwheel-mode: t
>   tabbar-mode: t
>   show-paren-mode: t
>   delete-selection-mode: t
>   pc-selection-mode: t
>   cua-mode: t
>   tooltip-mode: t
>   mouse-wheel-mode: t
>   menu-bar-mode: t
>   file-name-shadow-mode: t
>   global-font-lock-mode: t
>   font-lock-mode: t
>   blink-cursor-mode: t
>   unify-8859-on-encoding-mode: t
>   utf-translate-cjk-mode: t
>   auto-compression-mode: t
>   size-indication-mode: t
>   column-number-mode: t
>   line-number-mode: t
>   transient-mark-mode: t
>   abbrev-mode: t
>
> Recent input:
> <wheel-down> <double-wheel-down> <triple-wheel-down>
> <triple-wheel-down> <triple-wheel-down> <triple-wheel-down>
> <triple-wheel-down> <triple-wheel-down> <triple-wheel-down>
> <triple-wheel-down> <triple-wheel-down> <down-mouse-1>
> <mouse-movement> <mouse-1> C-x 4 0 C-x k RET C-x C-v
> <return> C-x b <return> <switch-frame> / q u e r C-a
> C-k C-x o / q u e r y SPC m i <tab> <return> D u a
> d , SPC d i d SPC y o u SPC s e SPC e <backspace> <backspace>
> e SPC t h t <backspace> a t SPC J u d a s SPC P r i
> e s t SPC i s SPC p l a y i n g SPC A u g . SPC 3 1
> s t ? <return> I t ' s SPC l i k e SPC t h e SPC h
> <backspace> g r e a t e s t SPC f u c k i n g SPC a
> r e n a - m e t a l SPC l i n e u p SPC e v e r : SPC
> J u d a s SPC P r i e s t , SPC M t o <backspace> <backspace>
> o r h e a d <left> <left> <left> <left> <left> <left>
> C-e M-b C-k M o t r h e a d , SPC T e a t <backspace>
> <backspace> s t a m e n t , SPC a n d SPC s o m e SPC
> s h i t SPC b a n d SPC I <backspace> <backspace> <M-backspace>
> <M-backspace> o t h e r SPC b a n d SPC i <backspace>
> I ' v e SPC <backspace> SPC n e v e r SPC e h a r <M-backspace>
> h e r <backspace> a r d SPC o g <backspace> f <return>
> <switch-frame> <menu-bar> <help-menu> <send-emacs-
> bug-report>
>
> Recent messages:
> ad-Orig-error: Not a tramp file name: ~/Lib
> ad-Orig-error: Not a tramp file name: ~/LibPref
> Making completion list... [2 times]
> Mark set [4 times]
> Saving file /Users/ieure/Library/Preferences/Aquamacs Emacs/site-lisp/
> js2-mode.el...
> Wrote /Users/ieure/Library/Preferences/Aquamacs Emacs/site-lisp/js2-
> mode.el
> Loading warnings...done
> Wrote /Users/ieure/Library/Preferences/Aquamacs Emacs/site-lisp/js2-
> mode.elc
> byte-code: End of buffer
> Wrote /var/folders/-O/-OE3eRUhHGaUPZz+LP85XE+++TM/-Tmp-/tramp.
> 452815vy.js
>
> -------------------------------------------------------------------------
> Check out the new SourceForge.net Marketplace.
> It's the best place to buy or sell services for
> just about anything Open Source.
> http://sourceforge.net/services/buy/index.php
> __
> https://lists.sourceforge.net/lists/listinfo/aquamacs-bugs